%define major   1
%define uname   genht
%define libname %mklibname %{uname} %{major}
%define devname %mklibname %{uname} -d

Name:           libgenht
Summary:        Simple generic hash table implementation in C
Version:        1.1.3
Release:        %mkrel 4
Group:          Development/C
License:        Public Domain
URL:            http://repo.hu/projects/genht
Source0:        http://repo.hu/projects/%{uname}/releases/%{uname}-%{version}.tar.gz

# patch Makefile to accept CFLAGS and LDFLAGS from environment, set SONAME and create an .so file
Patch0:         00-fix-makefile.patch
Patch1:         01-pointer-types.patch

BuildRequires:  gcc
BuildRequires:  make

%description
genht is a simple generic hash table implementation in C.
Uses open addressing scheme with space doubling.
Type generics is achieved by ugly name prefixing macros.

%package -n %{libname}
Summary:        Library

%description -n %{libname}
genht is a simple generic hash table implementation in C.

%package -n %{devname}
Summary:        Libraries, includes, etc. to develop applications using genht
Requires:       %{libname} = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Libraries, includes, etc. to develop applications using genht.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%set_build_flags

%make_build

%install
# Depending on arch, install in /usr/lib or /usr/lib64
%make_install LIBDIR=%{buildroot}%{_libdir}

find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{.,*}

%files -n %{devname}
%{_includedir}/%{uname}/
%{_libdir}/%{name}.so
%license src/LICENSE
%doc src/AUTHORS


%changelog
* Sat Oct 19 2024 daviddavid <daviddavid> 1.1.3-4.mga10
+ Revision: 2108204
- add debian patch to fix build with GCC 14
- remove static libs

* Sun Jul 24 2022 barjac <barjac> 1.1.3-3.mga9
+ Revision: 1870783
- fix Makefile patch

* Sun Jul 24 2022 barjac <barjac> 1.1.3-2.mga9
+ Revision: 1870775
- Re-diff and restore Makefile patch patch

* Sat Jul 23 2022 barjac <barjac> 1.1.3-1.mga9
+ Revision: 1870452
- new version 1.1.3
- drop obsolete patch

* Tue Apr 26 2022 barjac <barjac> 1.1.2-1.mga9
+ Revision: 1854415
- adapt spec for Mageia
- import libgenht from fedora


* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 29 2021 Alain <alain DOT vigne DOT 14 AT gmail DOT com> 1.1.2-1
- New upstream release
- Install the .a lib in -static subpackage

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Dec 01 2018 Alain <alain DOT vigne DOT 14 AT gmail DOT com> 1.0.1-3
- Remove static subpackage
- Patch the Makefile to install the .so file link.

* Sat Nov 24 2018 Alain <alain DOT vigne DOT 14 AT gmail DOT com> 1.0.1-2
- Implement suggestions from review

* Sat Nov 17 2018 Alain <alain DOT vigne DOT 14 AT gmail DOT com> 1.0.1-1
- Initial proposal
